For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Global Payroll
    • Introduction
    • Time Tracking
    • Adjustments
  • Common Use Cases
    • Reimburse expenses
  • Endpoints
      • GETDownload gross to net report
      • GETList gross-to-net report.
      • GETList payroll events by legal entity
LogoLogo
SupportDeel Home
EndpointsReports

List gross-to-net report.

GET
/gp/reports/:id/gross_to_net
GET
/rest/v2/gp/reports/:id/gross_to_net
$curl -G https://api.letsdeel.com/rest/v2/gp/reports/clbuuabvg63543201r3310y322c/gross_to_net \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d currency=USD \
> -d limit=50 \
> -d offset=50
1{
2 "data": [
3 {
4 "employee_id": "E12345",
5 "employee_name": "John Doe",
6 "gross_salary": 7500,
7 "taxes": 1500,
8 "social_security": 500,
9 "net_salary": 5500,
10 "currency": "USD",
11 "pay_period": "2024-05"
12 }
13 ],
14 "page": {
15 "limit": 50,
16 "offset": 0,
17 "total_rows": 120
18 }
19}

Returns paginated gross-to-net calculation records for the specified payroll report, with optional currency conversion applied to the results. Token scopes: global-payroll:read

Was this page helpful?
Previous

List payroll events by legal entity

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

idstringRequired
Id of the gp payroll report.

Query parameters

currencystringOptional
Currency to be used in the report calculation.
limitdoubleOptional<=200
Maximum number of records to return.
offsetdoubleOptional

Offset/index of record for the next page of records to return.

Response

Successful operation.
datalist of maps from strings to objects

List of report rows (summary rows are filtered out). Each row contains dynamic column keys mapped to cell objects.

pageobject
Pagination metadata for the report rows.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/